# This file contains the events that will be part of the game. It's
# expected that the user will add and remove events as appropriate
# for this game.


# Some characters that are used in events in the game.
init:
    $ t = Character('Teacher', color="#fff")
    #Romance options
    $ g1 = Character('Guy 1', color="#16751e")
    $ g2 = Character('Guy 2', color="#af0000")
    #Side characters
    $ f = Character('Friend', color="#d10000")
    $ fg = Character('Friend Girlfriend', color="#af153b")
    $ f1 = Character('Friend1', color="#ede100")
    $ f2 = Character('Friend2', color="#ffd23f")
    #Main character
    $ me = Character('Me', color="#6d2020")

init:
    # First up, we define some simple events for the various actions, that
    # are run only if no higher-priority event is about to occur.
    
    $ event("draw", "act == 'draw'", event.only(), priority=200)
    $ event("youtube", "act == 'youtube'", priority=200)
    $ event("youtube_2", "act == 'youtube'", priority=190)
    $ event("twitter", "act == 'twitter'", event.solo(), priority=200)
    $ event("class_2", "act == 'class'", event.solo(), priority=200)
    $ event("cut", "act == 'cut'", event.solo(), priority=200)
    $ event("study", "act == 'study'", event.solo(), priority=200)
    $ event("play", "act == 'play'", event.solo(), priority=200)
    $ event("play_2", "act == 'play'", event.solo(), priority=210)    
    $ event("play_3", "act == 'play'", event.solo(), priority=200)
    
    # This is an introduction event, that runs once when we first go
    # to class. 
    $ event("intro", "act == 'class'", event.once(), event.only())
    $ event("fangirl", "act == 'youtube'",
            event.depends('intro'), event.once())
    $ event("reconize", "act == 'twitter'",
            event.depends('intro'), event.once())
#Romance
    #Guy 1
    $ event("veiwer", "act == 'youtube' and aga >= 15",
            event.depends('fangirl'), event.once())
    $ event("thankyou", "act == 'twitter' and aga >= 20",
            event.depends('veiwer'), event.solo(), priority=180)
    $ event("playwithus", "act == 'twitter' and aga < 20",
            event.depends('thankyou'), event.solo(), priority=180)
    $ event("shesbad", "act == 'play' and aga >= 25",
            event.depends('playwithus'), event.once())
    $ event("shesgood", "act == 'play'",
            event.depends('playwithus'), event.solo(), priority=170)
    $ event("pm", "act == 'twitter'",
            event.depends('shesbad'), event.depends('shesgood'),
            event.once())    
    
    # Relaxed ending with no girls happens if we max out our hidden relaxation stat.
    $ event("Guy1_ending", "act=='twitter' and aga >= 30", event.once())

    # Ending with both girls only happens if we have seen both of their final events
    # This needs to be higher-priority than either girl's ending.    
    #$ event('both_confess', 'act == "class"',
            #event.depends("dontsee"), event.depends("cookies"),
            #event.once(), priority = 50)
     

label intro:
     "I make it to class just in time, and proceed to listen to the
     teacher droning on about a wide range of art tips and tricks, none of which
     are new to me."

     return

# For test purposes only.
#label class_bad:

    #"You shouldn't be seeing this."

    #"This is because class was declared with event.only(), which
     #should suspend processing of further events."

    #"This is really for testing purposes only."

    #return

label draw:

    "I decide to spend my morning doodling some pictures. It was calming."
    $ stress -= 10
    $ art += 10

    return

label youtube:

    "I decide to spend the morning watching youtube videos."
    $ stress -= 10
    
    return
    
label youtube_2:
    
    "I watched a few of..."
    
    menu:
        "Guy1":
            $ aga += 1
            $ stress -=10
            
        "Guy2":
            $ ast += 1
            $ stress -=10
            
    return

label twitter:
    
    "I worked up the courge to tweet..."
    
    menu:
        "Guy1":
            $ aga += 1
            $ stress -= 1
        "Guy2":
            $ ast += 1
            $ stress -= 1
            
    "It got a like!"
    
    return
    
label class_2:
    
    "Today we had to talk in front of the class...
     It was so stressful."
    $ stress += 30
    $ social += 2
    
    return

label class_3:

    "We had to work in groups today...
     I didn't talk much."
    $ stress += 30
    $ social += 2
    
    return

label cut:

    "I decide to skip school and spend the afternoon hanging out by myself."     
    $ relaxation += 10
    $ social -= 1
    
    return

label study:

    "I decide to go out for a run through the town, to keep myself in
     shape."

    $ int += 10
    $ stress -= 5    
    return

label play:
    
    "I decide to hop on my computer and play some Shellshock."

    $ social += 1
    $ gaming += 5
    
    return
    
label play_2:
    
    "I decide to hop on my Ps4 and play some Overwatch."

    $ social += 1
    $ gaming += 5
    
    return
    
label play_3:
    
    "I decide to hop on my Ps4 and play some Dead by daylight."

    $ social += 1
    $ gaming += 5
    
    return

label fangirl:
    "This is the label fangirl."
    "Testing how stuff works."
    
    return
    
label reconize:
    "This is the label reconize."
    "Still testing."
    
    return
    
label veiwer:
    "This is the label veiwer."
    "TEST."
    
    return
    
label thankyou:
    "This is the thankyou label."
    
    return
    
label playwithus:
    "This is the playwithus label."
    
    return
    
label shesbad:
    "This is the label shesbad."
    
    return
    
label shesgood:
    "This is the shesgood label."
    
    return
    
label pm:
    "This is pm label."
    
    return

label Guy1_ending:
    "This is an ending."

    
    #".:. Ending 4."
    $ renpy.full_restart()    
